| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Call Admission Control

Call Admission Control Definitions and Methods. More...

## Classes
struct | unsp__NotifyCACPrimaryLinkStatusRequest
| Notify CAC Primary Link Status request. More...
struct | unsp__NotifyCACPrimaryLinkStatusResult
| Notify CAC Primary Link Status result. More...
struct | unsp__GetProvisionedCACPrimaryLinksRequest
| Get Provisioned CAC Primary Links request. More...
struct | unsp__CACPrimaryLink
| CAC Primary Link. More...
struct | unsp__ProvisionedCACPrimaryLinksList
| Provisioned CAC Primary Links List. More...
struct | unsp__GetProvisionedCACPrimaryLinksResult
| Get Provisioned CAC Primary Links result. More...
struct | unsp__GetCACPrimaryLinkStatusRequest
| Get CAC Primary Link Status request. More...
struct | unsp__CACPrimaryLinkStatusData
| CAC Primary Link Status Data. More...
struct | unsp__CACPrimaryLinkStatusList
| CAC Primary Link Status List. More...
struct | unsp__GetCACPrimaryLinkStatusResult
| Get CAC Primary Link Status result. More...
struct | unsp__ResetAllCACPrimaryLinksRequest
| Reset All CAC Primary Links request. More...
struct | unsp__ResetAllCACPrimaryLinksResult
| Reset All CAC Primary Links result. More...
struct | unsp__DynamicCACRouterAddress
| Dynamic CAC Router Address. More...
struct | unsp__CreateCACGroupRequest
| Create CAC Group request. More...
struct | unsp__CreateCACGroupResult
| Create CAC Group result. More...
struct | unsp__DeleteCACGroupRequest
| Delete CAC Group request. More...
struct | unsp__DeleteCACGroupResult
| Delete CAC Group result. More...
struct | unsp__AddCACGroupAddrRequest
| Add CAC Group Address request. More...
struct | unsp__AddCACGroupAddrResult
| Add CAC Group Address result. More...
struct | unsp__RemoveCACGroupAddrRequest
| Remove CAC Group Address request. More...
struct | unsp__RemoveCACGroupAddrResult
| Remove CAC Group Address result. More...
struct | unsp__ModifyCACGroupRequest
| Modify CAC Group request. More...
struct | unsp__ModifyCACGroupResult
| Modify CAC Group result. More...
struct | unsp__QueryCACGroupRequest
| Query CAC Group request. More...
struct | unsp__DynamicCACRouterInfoData
| Dynamic CAC Router Information data. More...
struct | unsp__CACGroupInfo
| CAC Group Info. More...
class | unsp__ArrayOfCACGroupInfo
| Array of CAC Group Info. More...
struct | unsp__QueryCACGroupResult
| Query CAC Group result. More...
struct | unsp__GetAncestorTreeForCACGroupRequest
| Get Ancestor Tree for CAC Group request. More...
struct | unsp__GetAncestorTreeForCACGroupResult
| Get Ancestor Tree for CAC Group result. More...
struct | unsp__DynamicCACPolicyInfo
| Dynamic CAC Policy Information. More...
struct | unsp__CACPolicyCodecsAllowed
| A list of Codec flags, each one set to true or false to indicate whether or not the Codec is allowed for this CAC policy. More...
struct | unsp__CACPolicyVideoCodecsAllowed
| A list of Video Codec flags, each one set to true or false to indicate whether or not the Video Codec is allowed for this CAC policy. More...
struct | unsp__CACPolicyAttributes
| CAC Policy Attributes. More...
struct | unsp__CreateCACPolicyRequest
| Create CAC Policy request. More...
struct | unsp__CreateCACPolicyResult
| Create CAC Policy result. More...
struct | unsp__DeleteCACPolicyRequest
| Delete CAC Policy request. More...
struct | unsp__DeleteCACPolicyResult
| Delete CAC Policy result. More...
struct | unsp__ModifyCACPolicyRequest
| Modify CAC Policy request. More...
struct | unsp__ModifyCACPolicyResult
| Modify CAC Policy result. More...
struct | unsp__QueryCACPolicyRequest
| Query CAC Policy request. More...
struct | unsp__CACPolicyInfo
| CAC Policy Information. More...
class | unsp__ArrayOfCACPolicyInfo
| Array of CAC Policy Information. More...
struct | unsp__QueryCACPolicyResult
| Query CAC Policy result. More...
struct | unsp__GetBwUsageForCACPolicyRequest
| Get Bandwidth Usage for CAC Policy request. More...
struct | unsp__GetBwUsageForCACPolicyResult
| Get Bandwidth Usage for CAC Policy result. More...
struct | unsp__SetGlobalCACPolicyThresholdAlarmsRequest
| Set Global CAC Policy Threshold Alarms request. More...
struct | unsp__SetGlobalCACPolicyThresholdAlarmsResult
| Set Global CAC Policy Threshold Alarms result. More...
struct | unsp__ResetGlobalCACPolicyThresholdsRequest
| Reset Global CAC Policy Threshold Alarms request. More...
struct | unsp__ResetGlobalCACPolicyThresholdsResult
| Reset Global CAC Policy Threshold Alarms result. More...
struct | unsp__CreateGToGCACPolicyRequest
| Create Group To Group CAC Policy request. More...
struct | unsp__CreateGToGCACPolicyResult
| Create Group To Group CAC Policy result. More...
struct | unsp__ModifyGToGCACPolicyRequest
| Modify Group To Group CAC Policy request. More...
struct | unsp__ModifyGToGCACPolicyResult
| Modify Group To Group CAC Policy result. More...
struct | unsp__DeleteGToGCACPolicyRequest
| Delete Group To Group CAC Policy request. More...
struct | unsp__DeleteGToGCACPolicyResult
| Delete Group To Group CAC Policy result. More...
struct | unsp__QueryGToGCACPolicyRequest
| Query Group To Group CAC Policy request. More...
struct | unsp__GToGCACPolicyInfo
| Group To Group CAC Policy information. More...
class | unsp__ArrayOfGToGCACPolicyInfo
| Array of Group To Group CAC Policy information. More...
struct | unsp__QueryGToGCACPolicyResult
| Query Group To Group CAC Policy result. More...
struct | unsp__GetBwUsageForGToGCACPolicyRequest
| Get Bandwidth Usage for Group to Group CAC Policy request. More...
struct | unsp__GetBwUsageForGToGCACPolicyResult
| Get Bandwidth Usage for Group to Group CAC Policy result. More...
struct | unsp__QueryCACMonitoringRequest
| Query CAC Monitoring request. More...
struct | unsp__CACMonitoringData
| CAC Monitoring Data. More...
struct | unsp__CACMonitoringList
| List of CAC Monitoring Data. More...
struct | unsp__QueryCACMonitoringResult
| Query CAC Monitoring result. More...

## Enumerations
enum | unsp__CACPrimaryLinkStatus { LinkUp, LinkDown }
| CAC Primary Link Status. More...
enum | unsp__CACGroupType { CACGroupIpAddrType =1, CACGroupSubNetType, CACGroupDnAddrType, CACGroupParentCACGroupType, CACGroupLocationDomainType }
| Indicates what a CAC Group is based on. More...
enum | unsp__CACAccessLinkType { CACAccessLinkTypeWAN = 0, CACAccessLinkTypeDataCenter = 1, CACAccessLinkTypeDataCenter1 = 2, CACAccessLinkTypeDataCenter2 = 3 }
| CAC Access Link Type. More...
enum | unsp__ProfileLevel { Level_Unknown = -1, Level_1, Level_1_b, Level_1_1, Level_1_2, Level_1_3, Level_2, Level_2_1, Level_2_2, Level_3, Level_3_1, Level_3_2, Level_4, Level_4_1, Level_4_2, Level_5, Level_5_1 }
| Maximum allowed profile level for H.264. More...
enum | unsp__CACPolicyLimitType { CACBandwidthLimitType =1, CACNumCallsLimitType, CACNumCallsAndBWLimitType }
| CAC Policy Limit Type. More...
enum | unsp__CACPolicyOptionFlag { CACNoOptions =0, CACIgnoreMediaServerCalls, CACNumCallsExceedAllow, CACMediaServerIgnoreNumCallsExceedAllow }
enum | unsp__CACPolicyGroupType { CACPolicyInvalid, CACPolicyRegular, CACPolicyGroupToGroup }
| CAC Policy Group Type. More...

## Functions
int | unsp__NotifyCACPrimaryLinkStatus (struct unsp__NotifyCACPrimaryLinkStatusRequest NotifyCACPrimaryLinkStatusRequest, struct unsp__NotifyCACPrimaryLinkStatusResult *NotifyCACPrimaryLinkStatusResult)
| This method reports the status of the primary link on the router. More...
int | unsp__GetProvisionedCACPrimaryLinks (struct unsp__GetProvisionedCACPrimaryLinksRequest GetProvisionedCACPrimaryLinksRequest, struct unsp__GetProvisionedCACPrimaryLinksResult *GetProvisionedCACPrimaryLinksResult)
| Retrieves the provisioned CAC Primary Links. More...
int | unsp__GetCACPrimaryLinkStatus (struct unsp__GetCACPrimaryLinkStatusRequest GetCACPrimaryLinkStatusRequest, struct unsp__GetCACPrimaryLinkStatusResult *GetCACPrimaryLinkStatusResult)
| This method returns the status of the primary link associated to the router specified by the input CACPrimaryLinkIpAddress or, if CACPrimaryLinkIpAddress is not specified, returns a list of all Access Routers along with their status. More...
int | unsp__ResetAllCACPrimaryLinks (struct unsp__ResetAllCACPrimaryLinksRequest ResetAllCACPrimaryLinksRequest, struct unsp__ResetAllCACPrimaryLinksResult *ResetAllCACPrimaryLinksResult)
| This method resets the status of the primary link for all CAC Access Routers to reflect a status "LinkUp". More...
int | unsp__CreateCACGroup (struct unsp__CreateCACGroupRequest CreateCACGroupRequest, struct unsp__CreateCACGroupResult *CreateCACGroupResult)
| Creates an CAC Group. More...
int | unsp__DeleteCACGroup (struct unsp__DeleteCACGroupRequest DeleteCACGroupRequest, struct unsp__DeleteCACGroupResult *DeleteCACGroupResult)
| Deletes a CAC Group. More...
int | unsp__AddCACGroupAddr (struct unsp__AddCACGroupAddrRequest AddCACGroupAddrRequest, struct unsp__AddCACGroupAddrResult *AddCACGroupAddrResult)
| Adds an address to a Call Admission Control (CAC) Group. More...
int | unsp__RemoveCACGroupAddr (struct unsp__RemoveCACGroupAddrRequest RemoveCACGroupAddrRequest, struct unsp__RemoveCACGroupAddrResult *RemoveCACGroupAddrResult)
| Removes an address from a Call Admission Control (CAC) Group. More...
int | unsp__ModifyCACGroup (struct unsp__ModifyCACGroupRequest ModifyCACGroupRequest, struct unsp__ModifyCACGroupResult *ModifyCACGroupResult)
| Modifies a Call Admission Control (CAC) Group. More...
int | unsp__QueryCACGroup (struct unsp__QueryCACGroupRequest QueryCACGroupRequest, struct unsp__QueryCACGroupResult *QueryCACGroupResult)
| This method is used to query Call Admission Control (CAC) Group information. More...
int | unsp__GetAncestorTreeForCACGroup (struct unsp__GetAncestorTreeForCACGroupRequest GetAncestorTreeForCACGroupRequest, struct unsp__GetAncestorTreeForCACGroupResult *GetAncestorTreeForCACGroupResult)
| Returns the list of ancestors (parent, grandparent etc.) for a given CAC Group. More...
int | unsp__CreateCACPolicy (struct unsp__CreateCACPolicyRequest CreateCACPolicyRequest, struct unsp__CreateCACPolicyResult *CreateCACPolicyResult)
| Creates a CAC Policy. More...
int | unsp__DeleteCACPolicy (struct unsp__DeleteCACPolicyRequest DeleteCACPolicyRequest, struct unsp__DeleteCACPolicyResult *DeleteCACPolicyResult)
| Deletes a CAC Policy. More...
int | unsp__ModifyCACPolicy (struct unsp__ModifyCACPolicyRequest ModifyCACPolicyRequest, struct unsp__ModifyCACPolicyResult *ModifyCACPolicyResult)
| Modifies a CAC Policy. More...
int | unsp__QueryCACPolicy (struct unsp__QueryCACPolicyRequest QueryCACPolicyRequest, struct unsp__QueryCACPolicyResult *QueryCACPolicyResult)
| This method is used to query Call Admission Control (CAC) Policy information. More...
int | unsp__GetBwUsageForCACPolicy (struct unsp__GetBwUsageForCACPolicyRequest GetBwUsageForCACPolicyRequest, struct unsp__GetBwUsageForCACPolicyResult *GetBwUsageForCACPolicyResult)
| This method is used to get the current bandwidth usage and number of concurrent calls for a Call Admission Control (CAC) Policy. More...
int | unsp__SetGlobalCACPolicyThresholdAlarms (struct unsp__SetGlobalCACPolicyThresholdAlarmsRequest SetGlobalCACPolicyThresholdAlarmsRequest, struct unsp__SetGlobalCACPolicyThresholdAlarmsResult *SetGlobalCACPolicyThresholdAlarmsResult)
| Sets (activates or deactivates) Global CAC Policy Threshold Alarms. More...
int | unsp__ResetGlobalCACPolicyThresholds (struct unsp__ResetGlobalCACPolicyThresholdsRequest ResetGlobalCACPolicyThresholdsRequest, struct unsp__ResetGlobalCACPolicyThresholdsResult *ResetGlobalCACPolicyThresholdsResult)
| Resets Global CAC Policy Threshold Alarms. More...
int | unsp__CreateGToGCACPolicy (struct unsp__CreateGToGCACPolicyRequest CreateGToGCACPolicyRequest, struct unsp__CreateGToGCACPolicyResult *CreateGToGCACPolicyResult)
| This method creates a Group to Group Call Admission Control (CAC) Policy. More...
int | unsp__ModifyGToGCACPolicy (struct unsp__ModifyGToGCACPolicyRequest ModifyGToGCACPolicyRequest, struct unsp__ModifyGToGCACPolicyResult *ModifyGToGCACPolicyResult)
| This method modifies a Group To Group Call Admission Control (CAC) Policy. More...
int | unsp__DeleteGToGCACPolicy (struct unsp__DeleteGToGCACPolicyRequest DeleteGToGCACPolicyRequest, struct unsp__DeleteGToGCACPolicyResult *DeleteGToGCACPolicyResult)
| This method deletes a Group To Group Call Admission Control (CAC) Policy. More...
int | unsp__QueryGToGCACPolicy (struct unsp__QueryGToGCACPolicyRequest QueryGToGCACPolicyRequest, struct unsp__QueryGToGCACPolicyResult *QueryGToGCACPolicyResult)
| This method is used to query Group To Group Call Admission Control (CAC) Policy information. More...
int | unsp__GetBwUsageForGToGCACPolicy (struct unsp__GetBwUsageForGToGCACPolicyRequest GetBwUsageForGToGCACPolicyRequest, struct unsp__GetBwUsageForGToGCACPolicyResult *GetBwUsageForGToGCACPolicyResult)
| This method is used to get the current bandwidth usage and number of concurrent calls for a Group To Group Call Admission Control (CAC) Policy. More...
int | unsp__QueryCACMonitoring (struct unsp__QueryCACMonitoringRequest QueryCACMonitoringRequest, struct unsp__QueryCACMonitoringResult *QueryCACMonitoringResult)
| This method is used to get the current bandwidth usage and number of concurrent calls for a Group To Group Call Admission Control (CAC) Policy. More...

## Detailed Description

Call Admission Control Definitions and Methods.

A CAC (Call Admission Control) Group represents the group of endpoints being served by each bandwidth-limited link which needs to be monitored. A CAC group is required regardless of the type of network topology present. It represents the group of endpoints being served by the bandwidth-limited link which needs to be monitored. A group is the entity to which the CAC policies are applied.

When a call is set up, the CAC service enforces the restrictions imposed on the calling and called party, according to their CAC Group. A CAC Group, in turn, is intended to represent a particular segment of the corporate network. It should be provisioned to contain all subscribers, that are currently located at this segment. A CAC Group can be defined based on the following attributes:

- IP addresses. Can for example be used for endpoints representing a network segment behind an SBC (from OSV's perspective). Up to 128 constituent IP adresses can be provisioned per group.
- IP subnets. Typically used for corporate network segments that are not hidden by an intermediate SBC. Up to 128 constituent IP subnets can be provisioned per group.
- DNs or DN prefixes (such as 1561555*). From the resource perspective this only makes sense if the subscribers are immobile and the DN assignment "mirrors" the network segmentation. Up to 64 constituent DNs or DN prefixes can be provisioned per group.
- CAC Groups. This is used to impose common restrictions on a group of "child" CAC groups.
- Location Domains. It is the preferred solution for network segments behind SBCs (from OSV's perspective). Location Domains created via endpoint provisioning shall take precedence over any Location Domain information received via SIP signalling Up to 64 constituent Location Domains can be provisioned per group.

A CAC (Call Admission Control) Policy is assigned to a CAC Group and represents the characteristics for the bandwidth-limited link being monitored. OpenScape Voice supports CAC Policies for voice-RTP (Real-time Transport Protocol), SRTP (Secure Real-time Transport Protocol ),video-RTP and/or T.38 Fax-UDPTL (User Datagram Protocol Transport Layer). A CAC policy can limit the calls over a bandwidth-limited link based on number of calls, bandwidth limit, or both.

## Enumeration Type Documentation

## ◆ unsp__CACAccessLinkType

enum unsp__CACAccessLinkType

CAC Access Link Type.

Enumerator
CACAccessLinkTypeWAN | WAN.
CACAccessLinkTypeDataCenter | Collocated Nodes.
CACAccessLinkTypeDataCenter1 | First node in geo-separated deployment.
CACAccessLinkTypeDataCenter2 | Second node in geo-separated deployment.

## ◆ unsp__CACGroupType

enum unsp__CACGroupType

Indicates what a CAC Group is based on.

Enumerator
CACGroupIpAddrType | IP Address.
CACGroupSubNetType | Subnet.
CACGroupDnAddrType | Dialable Number.
CACGroupParentCACGroupType | Parent CAC Group.
CACGroupLocationDomainType | Location Domain.

## ◆ unsp__CACPolicyGroupType

enum unsp__CACPolicyGroupType

CAC Policy Group Type.

Enumerator
CACPolicyInvalid | Invalid.
CACPolicyRegular | Regular.
CACPolicyGroupToGroup | Group To Group.

## ◆ unsp__CACPolicyLimitType

enum unsp__CACPolicyLimitType

CAC Policy Limit Type.

Enumerator
CACBandwidthLimitType | Bandwidth.
CACNumCallsLimitType | Calls.
CACNumCallsAndBWLimitType | Calls and Bandwidth.

## ◆ unsp__CACPolicyOptionFlag

enum unsp__CACPolicyOptionFlag

Deprecated:
  NA.

Enumerator
CACNoOptions | No Options.
CACIgnoreMediaServerCalls | Ignore Media Server Calls.
CACNumCallsExceedAllow | Allow Number of Calls Exceeding.
CACMediaServerIgnoreNumCallsExceedAllow | Allow Number of Calls Exceeding for Media Server.

## ◆ unsp__CACPrimaryLinkStatus

enum unsp__CACPrimaryLinkStatus

CAC Primary Link Status.

Enumerator
LinkUp | Up.
LinkDown | Down.

## ◆ unsp__ProfileLevel

enum unsp__ProfileLevel

Maximum allowed profile level for H.264.

It is effective regardless of any codes restriction configuration and is a series of combination of bitrates for H264.

Enumerator
Level_Unknown | Unknown.
Level_1 | 1
Level_1_b | 1b
Level_1_1 | 1.1
Level_1_2 | 1.2
Level_1_3 | 1.3
Level_2 | 2
Level_2_1 | 2.1
Level_2_2 | 2.2
Level_3 | 3
Level_3_1 | 3.1
Level_3_2 | 3.2
Level_4 | 4
Level_4_1 | 4.1
Level_4_2 | 4.2
Level_5 | 5
Level_5_1 | 5.1

## Function Documentation

## ◆ unsp__AddCACGroupAddr()

unsp__AddCACGroupAddr | ( | struct unsp__AddCACGroupAddrRequest | AddCACGroupAddrRequest,
|  | struct unsp__AddCACGroupAddrResult * | AddCACGroupAddrResult
| ) |  |

Adds an address to a Call Admission Control (CAC) Group.

Parameters

  AddCACGroupAddrRequest | API request
  AddCACGroupAddrResult | API result MP2 command: CCGA [Attributes]

## ◆ unsp__CreateCACGroup()

unsp__CreateCACGroup | ( | struct unsp__CreateCACGroupRequest | CreateCACGroupRequest,
|  | struct unsp__CreateCACGroupResult * | CreateCACGroupResult
| ) |  |

Creates an CAC Group.

Parameters

  CreateCACGroupRequest | API request
  CreateCACGroupResult | API result MP2 command: CCG [Attributes]

## ◆ unsp__CreateCACPolicy()

unsp__CreateCACPolicy | ( | struct unsp__CreateCACPolicyRequest | CreateCACPolicyRequest,
|  | struct unsp__CreateCACPolicyResult * | CreateCACPolicyResult
| ) |  |

Creates a CAC Policy.

Parameters

  CreateCACPolicyRequest | API request
  CreateCACPolicyResult | API result MP2 command: CCP [Attributes]

## ◆ unsp__CreateGToGCACPolicy()

unsp__CreateGToGCACPolicy | ( | struct unsp__CreateGToGCACPolicyRequest | CreateGToGCACPolicyRequest,
|  | struct unsp__CreateGToGCACPolicyResult * | CreateGToGCACPolicyResult
| ) |  |

This method creates a Group to Group Call Admission Control (CAC) Policy.

Parameters

  CreateGToGCACPolicyRequest | API request
  CreateGToGCACPolicyResult | API result MP2 command: CGTGCP [Attributes]

## ◆ unsp__DeleteCACGroup()

unsp__DeleteCACGroup | ( | struct unsp__DeleteCACGroupRequest | DeleteCACGroupRequest,
|  | struct unsp__DeleteCACGroupResult * | DeleteCACGroupResult
| ) |  |

Deletes a CAC Group.

Parameters

  DeleteCACGroupRequest | API request
  DeleteCACGroupResult | API result MP2 command: DCG [Attributes]

## ◆ unsp__DeleteCACPolicy()

int unsp__DeleteCACPolicy | ( | struct unsp__DeleteCACPolicyRequest | DeleteCACPolicyRequest,
|  | struct unsp__DeleteCACPolicyResult * | DeleteCACPolicyResult
| ) |  |

Deletes a CAC Policy.

Parameters

  DeleteCACPolicyRequest | API request
  DeleteCACPolicyResult | API result MP2 command: DCP [Attributes]

## ◆ unsp__DeleteGToGCACPolicy()

unsp__DeleteGToGCACPolicy | ( | struct unsp__DeleteGToGCACPolicyRequest | DeleteGToGCACPolicyRequest,
|  | struct unsp__DeleteGToGCACPolicyResult * | DeleteGToGCACPolicyResult
| ) |  |

This method deletes a Group To Group Call Admission Control (CAC) Policy.

Parameters

  DeleteGToGCACPolicyRequest | API request
  DeleteGToGCACPolicyResult | API result MP2 command: DGTGCP [Attributes]

## ◆ unsp__GetAncestorTreeForCACGroup()

unsp__GetAncestorTreeForCACGroup | ( | struct unsp__GetAncestorTreeForCACGroupRequest | GetAncestorTreeForCACGroupRequest,
|  | struct unsp__GetAncestorTreeForCACGroupResult * | GetAncestorTreeForCACGroupResult
| ) |  |

Returns the list of ancestors (parent, grandparent etc.) for a given CAC Group.

Parameters

  GetAncestorTreeForCACGroupRequest | API request
  GetAncestorTreeForCACGroupResult | API result

## ◆ unsp__GetBwUsageForCACPolicy()

unsp__GetBwUsageForCACPolicy | ( | struct unsp__GetBwUsageForCACPolicyRequest | GetBwUsageForCACPolicyRequest,
|  | struct unsp__GetBwUsageForCACPolicyResult * | GetBwUsageForCACPolicyResult
| ) |  |

This method is used to get the current bandwidth usage and number of concurrent calls for a Call Admission Control (CAC) Policy.

Parameters

  GetBwUsageForCACPolicyRequest | API request
  GetBwUsageForCACPolicyResult | API result

## ◆ unsp__GetBwUsageForGToGCACPolicy()

int unsp__GetBwUsageForGToGCACPolicy | ( | struct unsp__GetBwUsageForGToGCACPolicyRequest | GetBwUsageForGToGCACPolicyRequest,
|  | struct unsp__GetBwUsageForGToGCACPolicyResult * | GetBwUsageForGToGCACPolicyResult
| ) |  |

This method is used to get the current bandwidth usage and number of concurrent calls for a Group To Group Call Admission Control (CAC) Policy.

Parameters

  GetBwUsageForGToGCACPolicyRequest | API request
  GetBwUsageForGToGCACPolicyResult | API result

## ◆ unsp__GetCACPrimaryLinkStatus()

unsp__GetCACPrimaryLinkStatus | ( | struct unsp__GetCACPrimaryLinkStatusRequest | GetCACPrimaryLinkStatusRequest,
|  | struct unsp__GetCACPrimaryLinkStatusResult * | GetCACPrimaryLinkStatusResult
| ) |  |

This method returns the status of the primary link associated to the router specified by the input CACPrimaryLinkIpAddress or, if CACPrimaryLinkIpAddress is not specified, returns a list of all Access Routers along with their status.

Parameters

  GetCACPrimaryLinkStatusRequest | API request
  GetCACPrimaryLinkStatusResult | API result

## ◆ unsp__GetProvisionedCACPrimaryLinks()

unsp__GetProvisionedCACPrimaryLinks | ( | struct unsp__GetProvisionedCACPrimaryLinksRequest | GetProvisionedCACPrimaryLinksRequest,
|  | struct unsp__GetProvisionedCACPrimaryLinksResult * | GetProvisionedCACPrimaryLinksResult
| ) |  |

Retrieves the provisioned CAC Primary Links.

Parameters

  GetProvisionedCACPrimaryLinksRequest | API request
  GetProvisionedCACPrimaryLinksResult | API result

## ◆ unsp__ModifyCACGroup()

int unsp__ModifyCACGroup | ( | struct unsp__ModifyCACGroupRequest | ModifyCACGroupRequest,
|  | struct unsp__ModifyCACGroupResult * | ModifyCACGroupResult
| ) |  |

Modifies a Call Admission Control (CAC) Group.

Parameters

  ModifyCACGroupRequest | API request
  ModifyCACGroupResult | API result

## ◆ unsp__ModifyCACPolicy()

unsp__ModifyCACPolicy | ( | struct unsp__ModifyCACPolicyRequest | ModifyCACPolicyRequest,
|  | struct unsp__ModifyCACPolicyResult * | ModifyCACPolicyResult
| ) |  |

Modifies a CAC Policy.

Parameters

  ModifyCACPolicyRequest | API request
  ModifyCACPolicyResult | API result

## ◆ unsp__ModifyGToGCACPolicy()

unsp__ModifyGToGCACPolicy | ( | struct unsp__ModifyGToGCACPolicyRequest | ModifyGToGCACPolicyRequest,
|  | struct unsp__ModifyGToGCACPolicyResult * | ModifyGToGCACPolicyResult
| ) |  |

This method modifies a Group To Group Call Admission Control (CAC) Policy.

Parameters

  ModifyGToGCACPolicyRequest | API request
  ModifyGToGCACPolicyResult | API result

## ◆ unsp__NotifyCACPrimaryLinkStatus()

unsp__NotifyCACPrimaryLinkStatus | ( | struct unsp__NotifyCACPrimaryLinkStatusRequest | NotifyCACPrimaryLinkStatusRequest,
|  | struct unsp__NotifyCACPrimaryLinkStatusResult * | NotifyCACPrimaryLinkStatusResult
| ) |  |

This method reports the status of the primary link on the router.

Parameters

  NotifyCACPrimaryLinkStatusRequest | API request
  NotifyCACPrimaryLinkStatusResult | API result

## ◆ unsp__QueryCACGroup()

unsp__QueryCACGroup | ( | struct unsp__QueryCACGroupRequest | QueryCACGroupRequest,
|  | struct unsp__QueryCACGroupResult * | QueryCACGroupResult
| ) |  |

This method is used to query Call Admission Control (CAC) Group information.

Returned information is for either a single CAC Group or a set of CAC Groups depending on the input filter parameters.

Parameters

  QueryCACGroupRequest | API request
  QueryCACGroupResult | API result

## ◆ unsp__QueryCACMonitoring()

unsp__QueryCACMonitoring | ( | struct unsp__QueryCACMonitoringRequest | QueryCACMonitoringRequest,
|  | struct unsp__QueryCACMonitoringResult * | QueryCACMonitoringResult
| ) |  |

This method is used to get the current bandwidth usage and number of concurrent calls for a Group To Group Call Admission Control (CAC) Policy.

Parameters

  QueryCACMonitoringRequest | API request
  QueryCACMonitoringResult | API result

## ◆ unsp__QueryCACPolicy()

unsp__QueryCACPolicy | ( | struct unsp__QueryCACPolicyRequest | QueryCACPolicyRequest,
|  | struct unsp__QueryCACPolicyResult * | QueryCACPolicyResult
| ) |  |

This method is used to query Call Admission Control (CAC) Policy information.

Returned information is for either a single CAC Policy or a set of CAC Policies depending on the input filter parameters. Note that if neither CACGroupName nor CACPolicyType is specified, all CAC Policy information is returned.

Parameters

  QueryCACPolicyRequest | API request
  QueryCACPolicyResult | API result

## ◆ unsp__QueryGToGCACPolicy()

int unsp__QueryGToGCACPolicy | ( | struct unsp__QueryGToGCACPolicyRequest | QueryGToGCACPolicyRequest,
|  | struct unsp__QueryGToGCACPolicyResult * | QueryGToGCACPolicyResult
| ) |  |

This method is used to query Group To Group Call Admission Control (CAC) Policy information.

Returned information is for either a single CAC Policy or a set of CAC Policies depending on the input filter parameters.

Parameters

  QueryGToGCACPolicyRequest | API request
  QueryGToGCACPolicyResult | API result

## ◆ unsp__RemoveCACGroupAddr()

unsp__RemoveCACGroupAddr | ( | struct unsp__RemoveCACGroupAddrRequest | RemoveCACGroupAddrRequest,
|  | struct unsp__RemoveCACGroupAddrResult * | RemoveCACGroupAddrResult
| ) |  |

Removes an address from a Call Admission Control (CAC) Group.

Parameters

  RemoveCACGroupAddrRequest | API request
  RemoveCACGroupAddrResult | API result MP2 command: DCGA [Attributes]

## ◆ unsp__ResetAllCACPrimaryLinks()

unsp__ResetAllCACPrimaryLinks | ( | struct unsp__ResetAllCACPrimaryLinksRequest | ResetAllCACPrimaryLinksRequest,
|  | struct unsp__ResetAllCACPrimaryLinksResult * | ResetAllCACPrimaryLinksResult
| ) |  |

This method resets the status of the primary link for all CAC Access Routers to reflect a status "LinkUp".

Parameters

  ResetAllCACPrimaryLinksRequest | API request
  ResetAllCACPrimaryLinksResult | API result

## ◆ unsp__ResetGlobalCACPolicyThresholds()

unsp__ResetGlobalCACPolicyThresholds | ( | struct unsp__ResetGlobalCACPolicyThresholdsRequest | ResetGlobalCACPolicyThresholdsRequest,
|  | struct unsp__ResetGlobalCACPolicyThresholdsResult * | ResetGlobalCACPolicyThresholdsResult
| ) |  |

Resets Global CAC Policy Threshold Alarms.

Parameters

  ResetGlobalCACPolicyThresholdsRequest | API request
  ResetGlobalCACPolicyThresholdsResult | API result

## ◆ unsp__SetGlobalCACPolicyThresholdAlarms()

unsp__SetGlobalCACPolicyThresholdAlarms | ( | struct unsp__SetGlobalCACPolicyThresholdAlarmsRequest | SetGlobalCACPolicyThresholdAlarmsRequest,
|  | struct unsp__SetGlobalCACPolicyThresholdAlarmsResult * | SetGlobalCACPolicyThresholdAlarmsResult
| ) |  |

Sets (activates or deactivates) Global CAC Policy Threshold Alarms.

Parameters

  SetGlobalCACPolicyThresholdAlarmsRequest | API request
  SetGlobalCACPolicyThresholdAlarmsResult | API result